Bug 198739 - [PATCH] lang/php56: Update to 5.6.7 and fix vulnerabilities
Summary: [PATCH] lang/php56: Update to 5.6.7 and fix vulnerabilities
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alex Dupre
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-20 14:55 UTC by Bernard Spil
Modified: 2015-04-13 07:07 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ale)


Attachments
svn diff for lang/php56 (949 bytes, patch)
2015-03-20 14:55 UTC, Bernard Spil
no flags Details | Diff
Poudriere build log of lang/php56 (336.68 KB, text/plain)
2015-03-20 14:55 UTC, Bernard Spil
no flags Details
patch for vuln.xml (2.09 KB, patch)
2015-03-31 07:44 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-20 14:55:12 UTC
Created attachment 154576 [details]
svn diff for lang/php56

The PHP development team announces the immediate availability of PHP 5.6.7. Several bugs have been fixed as well as CVE-2015-0231, CVE-2015-2305 and CVE-2015-2331. All PHP 5.6 users are encouraged to upgrade to this version.
Comment 1 Bernard Spil freebsd_committer 2015-03-20 14:55:44 UTC
Created attachment 154578 [details]
Poudriere build log of lang/php56
Comment 2 Bernard Spil freebsd_committer 2015-03-31 07:44:12 UTC
Created attachment 155051 [details]
patch for vuln.xml

For lang/php5 lang/php55 lang/php56
Comment 3 Jason Unovitch freebsd_committer 2015-04-13 02:38:01 UTC
This PR can be closed.

lang/php56 was updated from 5.6.6 -> 5.6.7 in r382894:
https://svnweb.freebsd.org/ports?view=revision&revision=382894

security/vuxml updated in r382948:
https://svnweb.freebsd.org/ports?view=revision&revision=382948
Comment 4 Bernard Spil freebsd_committer 2015-04-13 07:07:13 UTC
Already in ports